# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LineWidth Class Reference

Wraps the OpenGL function glLineWidth(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLineWidth.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::LineWidth:

List of all members.

## Public Member Functions
| LineWidth (float linewidth=1.0f)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (float linewidth)
float | lineWidth () const
## Protected Attributes
float | mLineWidth

## Detailed Description

Wraps the OpenGL function glLineWidth(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLineWidth.xml for more information.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::LineWidth::LineWidth | ( | float | linewidth = `1.0f` | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::LineWidth::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::LineWidth::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void LineWidth::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::LineWidth::set | ( | float | linewidth | ) | `[inline]`

float vl::LineWidth::lineWidth | ( |  | ) | const`[inline]`

## Member Data Documentation

float vl::LineWidth::mLineWidth`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.